<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Projet calendrier</title>
    <link rel="stylesheet" href="./node_modules/getskeleton/lib/css/normalize.css">
    <link rel="stylesheet" href="./node_modules/getskeleton/lib/css/skeleton.css">
    <link href='./node_modules/fullcalendar/main.css' rel='stylesheet' />
    <script src='./node_modules/fullcalendar/main.js'></script>
    <script src="./src/plugins/calendar.ts" defer></script>
    <link rel="stylesheet" href="./src/styles/styles.css" />

</head>

<body>
    <H2 class="title">CALENDAR</H2>
    <main>
        <div class="calendar">
            <div id="calendar"></div>
        </div>

        <div class="formAddEvent">
            <form method="POST" action="//localhost:3000/event">
                <div>
                    <label for="title">Entrez un titre*</label>
                    <input type="text" name="title" id="title" required />
                </div>

                <div>
                    <label for="description">Entrez une description</label>
                    <input type="text" name="description" id="description" />
                </div>

                <div>
                    <label for="start">Start date:</label>
                    <input type="date" id="start" name="trip-start" value="2023-07-22">
                </div>
                <div>
                    <label for="end">Start end:</label>
                    <input type="date" id="start" name="trip-start" value="2023-07-22">
                </div>

                <button action="" class="button">Add event</button>
            </form>
        </div>

    </main>

    <!-- <form>
        <div>
            <label for="dateStart">date de départ</label>
            <input type="date" />
        </div>
        <div>
            <label for="dateEnd"> date de fin</label>
            <input type="date" name="dateEnd" id="dateEnd" />
        </div>
    </form> -->
</body>

<script>
    document.querySelectorAll('form').forEach(form => {
        form.addEventListener('submit', e => {
            e.preventDefault();
            fetch('http://localhost:3000/event', {
                method: 'POST',
                body: new (form),
                headers: [['Content-Type', 'application/x-www-form-urlencoded']]
            })

            return false;
        })
    });
</script>

</html>